Get Saved Search
curl --request GET \
--url https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/saved-searches/{id}import requests
url = "https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/saved-searches/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/saved-searches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Saved Searches
Get Saved Search
Retrieve a specific saved search by ID
GET
/
app
/
v1
/
organizations
/
{organizationId}
/
projects
/
{projectId}
/
saved-searches
/
{id}
Get Saved Search
Path Parameters
Organization ID
Project ID
Saved search ID
Response
Returns the SavedSearch object.{
"id": "ss123",
"name": "Draft Articles",
"description": "All draft articles in the system",
"type": "content",
"folderId": "folder789",
"filter": {
"type": {
"eq": "article"
},
"status": {
"eq": "draft"
}
},
"sort": [
{ "field": "updatedAt", "order": "desc" }
],
"favorites": ["user123", "user456"],
"metadata": {
"lastUsed": "2024-03-21T15:30:00Z",
"useCount": 42
},
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-21T15:30:00Z"
}
Error Responses
Saved Search Not Found
{
"error": {
"code": "NOT_FOUND",
"message": "Saved search ss123 not found"
}
}
Code Examples
curl -X GET "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/saved-searches/ss123" \
-H "Authorization: Bearer YOUR_JWT"
const response = await fetch(
'https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/saved-searches/ss123',
{
headers: {
'Authorization': 'Bearer YOUR_JWT'
}
}
);
const savedSearch = await response.json();
console.log(`Saved search: ${savedSearch.name} (${savedSearch.type})`);
let url = URL(string: "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/saved-searches/ss123")!
var request = URLRequest(url: url)
request.setValue("Bearer YOUR_JWT", forHTTPHeaderField: "Authorization")
let (data, _) = try await URLSession.shared.data(for: request)
let savedSearch = try JSONDecoder().decode(SavedSearch.self, from: data)
val response = client.get("https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/saved-searches/ss123") {
header("Authorization", "Bearer YOUR_JWT")
}
val savedSearch = response.body<SavedSearch>()
println("Saved search: ${savedSearch.name}")
⌘I